Su_25UTG =  {

    Name                 =   'Su-25UTG',
    DisplayName            = _('Su-25UTG'),
	HumanCockpit = true,
	HumanCockpitPath = "./Mods/aircraft/Flaming Cliffs/Cockpit/KneeboardLeft/",

    Picture             = "Su-25T.png",
    Rate                 = 40, 
    Shape                 = "Su-25T",
	input_profile_entry = 	"Su-25UTG",

    shape_table_data     =
    {
        {
            file       = 'Su-25T';
            life       = 20; 
            vis        = 3;  
            desrt    = 'Su-25T-oblomok'; 
            fire       = {300, 2}; 
            username = 'Su-25UTG';
            index    =  WSTYPE_PLACEHOLDER;
            classname   = "lLandPlane";
			positioning = "BYNORMAL";
        },
		{
			name  		= "Su-25T-oblomok";
			file  		= "Su-25T-oblomok";
			fire  		= { 240, 2};
		},

    },

	net_animation = {
        0, -- front gear
        3, -- right gear
        5, -- left gear
        9, -- right flap
        10, -- left flap
        11, -- right aileron
        12, -- left aileron
        15, -- right elevator
        16, -- left elevator
        17, -- rudder

        38,    -- canopy
        115, -- gear door
        116, -- gear door
        117, -- gear door

        190, -- left (red) navigation wing-tip light
        191, -- right (green) navigation wing-tip light
        192, -- tail (white) light

        198, -- anticollision (flashing red) top light
        199, -- anticollision (flashing red) bottom light
        208, -- taxi light (white) right main gear door
    },

	mapclasskey = "P0091000025",
        attribute = {wsType_Air, wsType_Airplane, wsType_Battleplane, WSTYPE_PLACEHOLDER,
        "Battleplanes",
        },
    Categories = {
        },

    M_empty                     =  11496,    
    M_nominal                   =  14150,    
    M_max                       =  19500,   
    M_fuel_max                  =  3790,    
    H_max                       =  10000,      
	length						=	15.35,
	height						=	5.2,             
	wing_area					=	45.1,
	wing_span					=	14.36,
	wing_type 					=   1,               
	wing_tip_pos 				= 	{-2.7, -0.111, 7.3},            
	flaps_maneuver              =  1,                   
	has_speedbrake              =  true,
	RCS                         =  7,                  
	IR_emission_coeff			=	0.7,	
	IR_emission_coeff_ab		=	0,                
	stores_number               =  11,                    
    CAS_min                     =  64,                 
    V_opt                       =  180,                
    V_take_off                  =  72,                
    V_land                      =  68,                 
	V_max_sea_level				=	292,	
	V_max_h						=	271,	
	Vy_max						=	60,	
	Mach_max					=	0.82,
    Ny_min                      =  -3.0,                  
    Ny_max                      =  5.9,                  
    Ny_max_e                    =  6.5,                 
    bank_angle_max              =  60,                  
    range                       =  2250,                
    thrust_sum_max              =  9856,    
    has_afteburner              =  true,
    has_differential_stabilizer =  false,
    thrust_sum_ab               =  9856,    
    average_fuel_consumption    =  0.25,                
    is_tanker                   =  false,

    tand_gear_max                               =  0.554,   
	nose_gear_pos 				                =  {2.808, -2.15, 0},   
	nose_gear_amortizer_direct_stroke   		=  0, 
	nose_gear_amortizer_reversal_stroke  		=  0, 
	nose_gear_amortizer_normal_weight_stroke 	=  0,   
	nose_gear_wheel_diameter 	                =  0.754,
	main_gear_pos 						 	    =  {-0.714, -1.95, 1.352}, 
	main_gear_amortizer_direct_stroke	 	    =  0, 
	main_gear_amortizer_reversal_stroke  	    =  0, 
	main_gear_amortizer_normal_weight_stroke    =  0,
	main_gear_wheel_diameter 				    =  0.972, 
    brakeshute_name                          	=  4,       
	
	mechanimations = {
		Door0 = { {
				Flags = { "Reversible" },
				Sequence = { {
						C = { { "Arg", 38, "to", 0.9, "in", 1.96 } }
					} },
				Transition = { "Close", "Open" }
			}, {
				Flags = { "Reversible", "StepsBackwards" },
				Sequence = { {
						C = { { "Arg", 38, "to", 0, "in", 1.87 } }
					} },
				Transition = { "Open", "Close" }
			}, {
				Sequence = { {
						C = { { "JettisonCanopy", 0 } }
					} },
				Transition = { "Any", "Bailout" }
			} },
		HeadLights = { {
				Sequence = { {
						C = { { "Arg", 208, "to", 0, "in", 0.3 }, { "Arg", 209, "to", 0, "in", 0.3 } }
					} },
				Transition = { "Any", "Retract" }
			}, {
				Sequence = { {
						C = { { "Arg", 208, "to", 0, "in", 0.3 }, { "Arg", 209, "to", 0, "in", 0.3 } }
					} },
				Transition = { "Any", "Off" }
			}, {
				Sequence = { {
						C = { { "Arg", 208, "to", 1, "in", 0.3 }, { "Arg", 209, "to", 1, "in", 0.3 } }
					} },
				Transition = { "Any", "Taxi" }
			}, {
				Sequence = { {
						C = { { "Arg", 208, "to", 1, "in", 0.3 }, { "Arg", 209, "to", 1, "in", 0.3 } }
					} },
				Transition = { "Any", "High" }
			} }
	},

    engines_count    = 2,
	engines_nozzles = { {
			diameter = 0.01,
			elevation = 0,
			exhaust_length_ab = 0.01, 
            exhaust_length_ab_K = 0.01, 
			pos = { -3.793, -0.391, -0.716 },
			smokiness_level = 0.3,
            afterburner_circles_count = 0
		}, {
			diameter = 0.01,
			elevation = 0,
			exhaust_length_ab = 0.01, 
            exhaust_length_ab_K = 0.01, 
			pos = { -3.793, -0.391, 0.716 },
			smokiness_level = 0.3,
            afterburner_circles_count = 0
		} },
	crew_members = { {
			canopy_pos = { 3.41, 0, 0 },
			drop_canopy_name = 49,
			ejection_seat_name = 9,
			pos = { 3.029, -0.092, 0 },
			role = "pilot",
			role_display_name = "Pilot"
		} },

	fires_pos = { { -3.084, -0.595, -0.112 }, { -0.82, 0.275, 1.274 }, { -0.82, 0.275, -1.274 }, { -0.82, 0.265, 2.774 }, { -0.82, 0.265, -2.774 }, { -0.82, 0.255, 4.274 }, { -0.82, 0.255, -4.274 }, { -3.332, -0.358, 0.7284 }, { -3.332, -0.358, -0.728 }, { -1.573, 0.145, -2.172 }, { -1.924, -0.04, -1.934 } },

		-- Countermeasures
	passivCounterm = {
			CMDS_Edit = true,
			SingleChargeTotal = 256,
			-- PPR-26
			chaff = {default = 128, increment = 32, chargeSz = 1},
			-- PPI-26
			flare = {default = 128, increment = 32, chargeSz = 1}
        },

	chaff_flare_dispenser = { {
			dir = { 0, 1, 0 },
			pos = { -3.677, 1.012, -0.859 }
		}, {
			dir = { 0, 1, 0 },
			pos = { -3.677, 1.012, 0.859 }
		} },

    detection_range_max        = 250,
    radar_can_see_ground    =    true,
		CanopyGeometry = { -0.34202014332567, -0.58058609380733, -0.81915204428899, -0.23856595048166, 0.34202014332567 },
		        Geometry 	= {
            azimuth 	= {-145.0, 145.0},
            elevation 	= {-50.0, 90.0}
        },
        Sensors = {
            OPTIC = "Shkval",
            RWR = "Abstract RWR"
        },
        Countermeasures = {
            IRCM = "Sukhogruz"
        },

		HumanRadio = {
			frequency = 124.0,
			modulation = MODULATION_AM
		},
	
		Pylons =     {

        pylon(1, 0, -0.313000, -0.359000, -5.110000,
            {
                FiZ = -2,
                arg = 308,
				arg_value 	= 1,
				use_full_connector_position = true
            },
            {
			
            }
        ),
        pylon(2, 0, -0.610000, -0.325000, -4.359000,
            {
                FiZ = -3,
                arg = 309,
				arg_value 	= 1,
				use_full_connector_position = true
            },
            {
			
            }
        ),
        pylon(3, 0, -0.367000, -0.301000, -3.574000,
            {
                FiZ = -3,
                arg = 310,
            },
            {
				{CLSID = "{E8D4652F-FD48-45B7-BA5B-2AE05BB5A9CF}"},-- Fuel tank 800L Wing
				{ CLSID = "<CLEAN>",				  arg_value = 1},		
            }
        ),
        pylon(4, 0, -0.150000, -0.288000, -2.794000,
            {
                FiZ = -3,
                arg = 311,
				arg_value 	= 1,
				use_full_connector_position = true
            },
            {
			
            }
        ),
        pylon(5, 1, 0.072000, -0.263000, -2.042000,
            {
                FiZ = -3,
                arg = 312,
            },
            {
				{CLSID = "{E8D4652F-FD48-45B7-BA5B-2AE05BB5A9CF}"},-- Fuel tank 800L Wing
				{ CLSID = "<CLEAN>",				  arg_value = 1},
            }
        ),
        pylon(6, 0, -0.078000, -0.947000, 0.000000,
            {
                FiZ = -2,
                arg = 313,
            },
            {
				{CLSID = "froghook", arg_value = 0.10,  attach_point_position = { 0.0, 0.82, 0.0}}, -- Tailhook
            }
        ),
        pylon(7, 1, 0.072000, -0.263000, 2.042000,
            {
                FiZ = -3,
                arg = 314,
            },
            {
				{CLSID = "{E8D4652F-FD48-45B7-BA5B-2AE05BB5A9CF}"},-- Fuel tank 800L Wing
				{ CLSID = "<CLEAN>",				  arg_value = 1},
            }
        ),
        pylon(8, 0, -0.150000, -0.288000, 2.794000,
            {
                FiZ = -3,
                arg = 315,
				arg_value 	= 1,
				use_full_connector_position = true
            },
            {
            }
        ),
        pylon(9, 0, -0.367000, -0.301000, 3.574000,
            {
                FiZ = -3,
                arg = 316,
            },
            {
				{CLSID = "{E8D4652F-FD48-45B7-BA5B-2AE05BB5A9CF}"},-- Fuel tank 800L Wing
				{ CLSID = "<CLEAN>",				  arg_value = 1},
            }
        ),
        pylon(10, 0, -0.610000, -0.325000, 4.359000,
            {
                FiZ = -3,
                arg = 317,
				arg_value 	= 1,
				use_full_connector_position = true
            },
            {
            }
        ),
        pylon(11, 0, -0.313000, -0.359000, 5.110000,
            {
                FiZ = -2,
                arg = 318,
				arg_value 	= 1,
				use_full_connector_position = true
            },
            {
            }
        ),
},

	LandRWCategories = 
        {
        [1] = 
        {
			Name = "AircraftCarrier",
        },
        [2] = 
        {
            Name = "AircraftCarrier With Catapult",
        }, 
        [3] = 
        {
            Name = "AircraftCarrier With Tramplin",
        }, 
    }, -- end of LandRWCategories
        TakeOffRWCategories = 
        {
        [1] = 
        {
			Name = "AircraftCarrier",
        },
        [2] = 
        {
            Name = "AircraftCarrier With Catapult",
        }, 
        [3] = 
        {
            Name = "AircraftCarrier With Tramplin",
        }, 
    }, -- end of TakeOffRWCategories

    WorldID =  WSTYPE_PLACEHOLDER, 

		Failures = {
			{ id = 'asc', 		label = _('ASC'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'autopilot', label = _('AUTOPILOT'), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hydro',  	label = _('HYDRO'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'l_engine',  label = _('L-ENGINE'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'r_engine',  label = _('R-ENGINE'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			--{ id = 'radar',  	label = _('RADAR'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'eos',  		label = _('EOS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			--{ id = 'helmet',  	label = _('HELMET'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			--{ id = 'mlws',  	label = _('MLWS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'rws',  		label = _('RWS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'ecm',   	label = _('ECM'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hud',  		label = _('HUD'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'mfd',  		label = _('MFD'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },		
		},


	Tasks = {
        aircraft_task(GroundAttack),
        aircraft_task(RunwayAttack),
        aircraft_task(PinpointStrike),
        aircraft_task(CAS),
        aircraft_task(SEAD),
        aircraft_task(AFAC),
		aircraft_task(AntishipStrike),
    },	
	DefaultTask = aircraft_task(CAS),

    SFM_Data = {
		aerodynamics = 
		{
			Cy0	=	0.1,
			Mzalfa	=	6.6,
			Mzalfadt	=	1,
			kjx	=	2.25,
			kjz	=	0.00125,
			Czbe	=	-0.016,
			cx_brk = 0.06,
			cx_flap = 0.06,
			cx_gear = 0.012,
			cy_flap = 0.65,
			table_data  = {
			--      M	 Cx0		 Cya			B				B4	      Omxmax	Aldop	Cymax

				{0.0,	0.038,		0.09,			0.051,			0.0165,		0.1,	 20,	 1.40,	},
				{0.2,	0.038,		0.09,			0.051,			0.0165,		0.8,	 20,	 1.40,	},
				{0.3,	0.038,		0.09,			0.051,			0.022,		1.2,	 20,	 1.40,	},
				{0.4,	0.038,		0.09,			0.051,			0.022,		1.575,	 19,	 1.35,	},
				{0.5,	0.038,		0.09,			0.051,			0.022,		1.95,	 18,	 1.3,	},
				{0.6,	0.040,		0.09,			0.059,			0.036,		2.325,	 11,	 1.14,	},
				{0.7,	0.052,		0.09,			0.072,			0.10,		2.625,	 8,	 	 0.9,	},
				{0.8,	0.082,		0.09,			0.180,			0.16,		2.625,	 3,	 	 0.5,   },
				{1.1,	0.160,		0.09,			0.200,			0.20,		2.625,	 1,	 	 0.3    },
			}
		}, -- end of aerodynamics//
		
        engine =
        {
            Nmg    =    55.0,   
            MinRUD    =    0,  
            MaxRUD    =    1,   
            MaksRUD    =    0.999,   
            ForsRUD    =    0.99999,   
            typeng    =    0,
            hMaxEng    =    15,    
            dcx_eng    =    0.0114,    
            cemax    =    0.037,    
            cefor    =    0.037,
            dpdh_m    =    6000,   
            dpdh_f    =    14000.0,

            table_data =
            {
            --   M          Pmax
                {0.0,       0.0,0.0}, -- dummy table
                {2.0,       0.0,0.0},
            }, -- end of table_data

			extended = 
			{
               
				TSFC_max = 
				{
					M 		 = {0, 0.5, 0.8, 0.9, 1.0},
					H		 = {0, 3048, 6096, 9144, 12192},
					TSFC	 = {-- M 0      0.5     0.8       0.9     1.0
								{   0.86,  0.92,  1.012,    1.012,  1.003},--H = 0       -- SL
								{   0.86,  0.99,  1.025,    1.025,  1.016},--H = 3048    -- 10000'
								{   0.86,  0.96,  1.008,    1.008,  0.999},--H = 6096    -- 20000'
								{   0.86,  0.95,  0.984,    0.984,  0.974},--H = 9144    -- 30000'
                                {   0.86,  0.94,  0.976,    0.976,  0.967},--H = 12192   -- 40000'
					}
				},

				 TSFC_afterburner =  -- afterburning thrust specific fuel consumption by altitude and Mach number RPM  100%, 2d table
				 {
					 M 		 = {0,0.3,0.5,0.7,1.0},
					 H		 = {0,1000,3000,10000},
					 TSFC	 = {-- M 0  0.3 0.5  0.7  1.0
								 {   1,   1,  1,   1,   1},--H = 0
								 {   1,   1,  1,   1,   1},--H = 1000
								 {   1,   1,  1,   1,   1},--H = 3000
								 {   1,   1,  1,   1,   1},--H = 10000
					 }
				 },

				TSFC_throttle_responce =  -- correction to TSFC for different engine RPM, 1d table
				{
					RPM = {0, 50, 55, 75, 100},
					K   = {1, 1.05, 1.22, 1.05, 1.00},   -- Static SL TSFC now part of table above
                    --K   = {1, 1, 1, 1, 1},
				},

                thrust_max = -- thrust interpolation table by altitude and mach number, 2d table.  Modified for carrier takeoffs at/around 71 foot deck height
                {
                    M       =   {0, 0.1, 0.225, 0.23, 0.3, 0.5, 0.7, 0.8, 0.9, 1.1},
                    H       =   {0, 19, 20, 23, 24, 250, 4572, 7620, 10668, 13716, 16764, 19812},
                    thrust  =  {-- M    0     0.1    0.225   0.23,   0.3    0.5     0.7     0.8     0.9     1.1
                                {   79430.4,  75763.2,  73075.2,  73067.5,  71084.2,  70373.8,  71032.3,  71255,  70681,  65420.2 },--H = 0 (sea level)
                                {   79430.4,  75763.2,  73075.2,  73067.5,  71084.2,  70373.8,  71032.3,  71255,  70681,  65420.2 },--H = 19 (~62.3 feet)
								{   79430.4,  75763.2,  73075.2,  73067.5,  71084.2,  70373.8,  71032.3,  71255,  70681,  65420.2 },--H = 20 (~66.6 feet)
							    {   79430.4,  75763.2,  73075.2,  73067.5,  71084.2,  70373.8,  71032.3,  71255,  70681,  65420.2 },--H = 23 (~75.5 feet)
                                {   79430.4,  75763.2,  73075.2,  73067.5,  71084.2,  70373.8,  71032.3,  71255,  70681,  65420.2 },--H = 24 (~78.7 feet)
                                {   79430.4,  75763.2,  73075.2,  73067.5,  71084.2,  70373.8,  71032.3,  71255,  70681,  65420.2 },--H = 250 (820 feet)
                                {   52327.7,  49534.1,  47548.8,  47541.1,  46469.8,  47230.1,  50355.8,  100469.2,  54437.8,  57187.2 },--H = 4572 (15kft)
                                {   39970.56, 36869.76,  34809.6,  34803.84,  33692.16,  33548.16,  35784.96,  37647.36,  39713.3,  43916.2 },--H = 7620 (25kft)
                                {   20881.9,  40093.25,  21365.76,  21369.6,  22187.5,  23410.56,  25006.1,  26254.1,  27713.3,  30908.16 },--H = 10668 (35kft)
                                {   11568,   12247.68,    12817.92,   12825.6,  13127.04,   14271.36,   15732.48,   16517.76,   17473.92,   19344 },--H = 13716 (45kft)
                                {   6405.12,   6823.68,    7367.04,   7372.8,  7660.8,   8609.28,   9600,   10189.44,   10744.32,   11965.44  },--H = 16764 (55kft)
                                {   3655.68,   3920.64,    4408.32,   4416,  4671.36,   5372.16,   6167.04,   6687.36,   6986.88,   7866.24  },--H = 19812 (65kft)
                               },
                },

				  thrust_afterburner = -- afterburning thrust interpolation table by altitude and mach number, 2d table
				 {
					 M 		 = {0,	0.20,	0.21,	1.0},
					 H       =   {0, 15, 16, 23, 24, 250, 19812},
					 thrust	 = { -- M 0  0.3 0.5  0.7  1.0
								 {   41370,   	41370,  41370,   41370,},  -- H = 0
								 {   41370,   	41370,  41370,   41370,},  -- H = 15
								 {   750000,   	750000,  41370,   41370,}, -- H = 16
								 {   750000,   	750000,  41370,   41370,}, -- H = 23
								 {   41370,   	38060,  38060,   36813,},  -- H = 24
								 {   41370,   	38060,  38060,   36813,},  -- H = 250
								 {   1904,   	2296,  2296,   3639,},     -- H= 19812
					 }
				 },

				rpm_throttle_responce = -- required RPM according to throttle position
				{
					throttle = {0   ,0.85  ,1.0},
					RPM      = {55  ,97.2  ,100},
				},
				thrust_rpm_responce = -- thrust = K(RPM) * thrust_max(M,H)
				{
					RPM = {0  ,55   ,55.1   ,57.6   ,65.8   ,74.1   ,78.2   ,82.3   ,90.5   ,98.8   ,100},
					K   = {0  ,0.00 ,0.051  ,0.059  ,0.101  ,0.176  ,0.248  ,0.349  ,0.670  ,0.963  ,1},
				},
			},
        }, -- end of engine
    },

	Damage = {
	[0]  = {critical_damage = 5,  args = {146}},
	[1]  = {critical_damage = 3,  args = {296}},
	[2]  = {critical_damage = 3,  args = {297}},
	[3]  = {critical_damage = 8, args = {65}},
	[4]  = {critical_damage = 2,  args = {298}},
	[5]  = {critical_damage = 2,  args = {301}},
	[7]  = {critical_damage = 2,  args = {249}},
	[8]  = {critical_damage = 3,  args = {265}},
	[9]  = {critical_damage = 3,  args = {154}},
	[10] = {critical_damage = 3,  args = {153}},
	[11] = {critical_damage = 1,  args = {167}},
	[12] = {critical_damage = 1,  args = {161}},
	[13] = {critical_damage = 2,  args = {169}},
	[14] = {critical_damage = 2,  args = {163}},
	[15] = {critical_damage = 2,  args = {267}},
	[16] = {critical_damage = 2,  args = {266}},
	[17] = {critical_damage = 2,  args = {168}},
	[18] = {critical_damage = 2,  args = {162}},
	[20] = {critical_damage = 2,  args = {183}},
	[23] = {critical_damage = 5, args = {223}},
	[24] = {critical_damage = 5, args = {213}},
	[25] = {critical_damage = 2,  args = {226}},
	[26] = {critical_damage = 2,  args = {216}},
	[29] = {critical_damage = 5, args = {224}, deps_cells = {23, 25}},
	[30] = {critical_damage = 5, args = {214}, deps_cells = {24, 26}},
	[35] = {critical_damage = 6, args = {225}, deps_cells = {23, 29, 25, 37}},
	[36] = {critical_damage = 6, args = {215}, deps_cells = {24, 30, 26, 38}}, 
	[37] = {critical_damage = 2,  args = {228}},
	[38] = {critical_damage = 2,  args = {218}},
	[39] = {critical_damage = 2,  args = {244}, deps_cells = {53}}, 
	[40] = {critical_damage = 2,  args = {241}, deps_cells = {54}}, 
	[43] = {critical_damage = 2,  args = {243}, deps_cells = {39, 53}},
	[44] = {critical_damage = 2,  args = {242}, deps_cells = {40, 54}}, 
	[51] = {critical_damage = 2,  args = {240}}, 
	[52] = {critical_damage = 2,  args = {238}},
	[53] = {critical_damage = 2,  args = {248}},
	[54] = {critical_damage = 2,  args = {247}},
	[56] = {critical_damage = 2,  args = {158}},
	[57] = {critical_damage = 2,  args = {157}},
	[59] = {critical_damage = 3,  args = {148}},
	[61] = {critical_damage = 2,  args = {147}},
	[82] = {critical_damage = 2,  args = {152}},
	},

	DamageParts = 
	{  
		[1] = "Su-25T-oblomok-wing-l", -- wing R
		[2] = "Su-25T-oblomok-wing-r", -- wing L
	},
---------------------------------------------------------------------------------------------------------------------------------------------
	lights_data = {
		lights = {
			[2] = {
				lights = { {
						angle_change_rate = 1.3962634015955,
						angle_max = 0.34906585039887,
						angle_min = 0.26179938779915,
						argument = -1,
						color = { 255, 201, 125, 0.3 },
						cooldown_t = 0.45,
						direction = {
							azimuth = -0.051,
							elevation = 0.226
						},
						intensity_max = 4000,
						movable = false,
						position = { -0.975, -0.248, -6.932 },
						power_up_t = 0.9,
						typename = "Spot"
					}, {
						angle_change_rate = 1.3962634015955,
						angle_max = 0.34906585039887,
						angle_min = 0.26179938779915,
						argument = -1,
						color = { 255, 201, 125, 0.3 },
						cooldown_t = 0.45,
						direction = {
							azimuth = -0.085,
							elevation = 0.226
						},
						intensity_max = 4000,
						movable = false,
						position = { -0.975, -0.248, 6.932 },
						power_up_t = 0.9,
						typename = "Spot"
					} },
				typename = "collection"
			},
			[3] = {
				lights = { {
						argument = 192,
						color = { 1, 1, 1, 0.17 },
						connector = "BANO_0",
						position = { -6.079, 2.896, 0 },
						range = 4.6,
						typename = "omnilight"
					}, {
						angle_max = 2.7925268031909,
						angle_min = 1.5707963267949,
						argument = 190,
						color = { 1, 0.05, 0.15, 0.17 },
						connector = "BANO_1",
						controller = "Strobe",
						direction = {
							azimuth = -0.5235987755983,
							elevation = 0
						},
						mode = 0,
						period = 2.5,
						phase_shift = 0,
						position = { -1.516, -0.026, -7.249 },
						power_up_t = 0.3,
						range = 18,
						reduced_flash_time = 0.333,
						typename = "Spot"
					}, {
						angle_max = 2.7925268031909,
						angle_min = 1.5707963267949,
						argument = 191,
						color = { 0, 0.894, 0.6, 0.17 },
						connector = "BANO_2",
						controller = "Strobe",
						direction = {
							azimuth = 0.5235987755983,
							elevation = 0
						},
						mode = 0,
						period = 2.5,
						phase_shift = 0.5,
						position = { -1.516, -0.026, 7.249 },
						power_up_t = 0.3,
						range = 18,
						reduced_flash_time = 0.333,
						typename = "Spot"
					} },
				typename = "collection"
			},
			[6] = {
				lights = { {
						angle_change_rate = -1.3962634015955,
						angle_max = 1.7453292519943,
						argument = -1,
						color = { 255, 201, 125, 0.12 },
						cooldown_t = 0.45,
						direction = {
							azimuth = -0.051,
							elevation = 0.226
						},
						intensity_max = 750,
						movable = false,
						position = { -0.975, -0.248, -6.932 },
						power_up_t = 0.9,
						typename = "Spot"
					}, {
						angle_change_rate = -1.3962634015955,
						angle_max = 1.7453292519943,
						argument = -1,
						color = { 255, 201, 125, 0.12 },
						cooldown_t = 0.45,
						direction = {
							azimuth = -0.085,
							elevation = 0.226
						},
						intensity_max = 750,
						movable = false,
						position = { -0.975, -0.248, 6.932 },
						power_up_t = 0.9,
						typename = "Spot"
					} },
				typename = "collection"
			},
			[9] = {
				lights = { {
						argument = 69,
						typename = "argumentlight"
					} },
				typename = "collection"
			}
		},
		typename = "collection"
	},
}

add_aircraft(Su_25UTG)
